Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
etc.c File Reference
`#include "ruby.h"`
`#include "ruby/encoding.h"`
`#include "ruby/io.h"`
`#include <sys/types.h>`
`#include <errno.h>`
`#include "constdefs.h"`

Go to the source code of this file.

## Macros
#define | RUBY_ETC_VERSION "1.1.0"
#define | numberof(array) (sizeof(array) / sizeof(*(array)))
#define | etc_uname rb_f_notimplement
#define | etc_sysconf rb_f_notimplement
#define | etc_confstr rb_f_notimplement
#define | io_pathconf rb_f_notimplement
#define | etc_nprocessors rb_f_notimplement

## Functions
char * | getenv ()
char * | getlogin ()
void | Init_etc (void)

## Macro Definition Documentation

## ◆ etc_confstr

#define etc_confstr rb_f_notimplement

Definition at line 881 of file etc.c.

## ◆ etc_nprocessors

#define etc_nprocessors rb_f_notimplement

Definition at line 1033 of file etc.c.

## ◆ etc_sysconf

#define etc_sysconf rb_f_notimplement

Definition at line 834 of file etc.c.

## ◆ etc_uname

#define etc_uname rb_f_notimplement

Definition at line 800 of file etc.c.

## ◆ io_pathconf

#define io_pathconf rb_f_notimplement

Definition at line 920 of file etc.c.

## ◆ numberof

#define numberof | ( |  | array | ) | (sizeof(array) / sizeof(*(array)))

Definition at line 618 of file etc.c.

## ◆ RUBY_ETC_VERSION

#define RUBY_ETC_VERSION "1.1.0"

Definition at line 55 of file etc.c.

## Function Documentation

## ◆ getenv()

char* getenv | ( |  | ) |

## ◆ getlogin()

char* getlogin | ( |  | ) |

Definition at line 881 of file win32.c.

## ◆ Init_etc()

void Init_etc | ( | void |  | ) |

Definition at line 1063 of file etc.c.

References rb_define_const(), rb_define_module(), rb_str_new_cstr, and RUBY_ETC_VERSION.